Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
125 Views

Compatibily issue VPL-beta07 vs VPL-beta08

Hi

As a Windows developer two mounth ago I wrote an application on the base of oneAPI VLP Beta07, following the samples of the library (suggested by visual studio ). Now installing the new toolkit (beta08) I found, for my great surprise, that there isn't any compatibility with the previuos version. Why?...

 

Gabriele

 

0 Kudos
4 Replies
Highlighted
Moderator
112 Views

Hi @Zanaboni__Gabriele

Thanks for reaching out. With the new Beta 08 release our spec has changed so Python support has been removed for now, we might consider adding it back in the future based on customer feedback. So I wonder if your issue is related to this. If not, please elaborate more what issue are you observing (errors, logs, etc.). 

 

You can find Beta 08 (2021.1-beta08) release notes here https://software.intel.com/content/www/us/en/develop/articles/oneapi-video-processing-library-releas....

We appreciate your feedback, you might continue checking our new product at: https://software.intel.com/content/www/us/en/develop/tools/oneapi/base-toolkit.html.

The new source code is at: https://github.com/oneapi-src/oneVPL.

 

Best Regards,

Luis

0 Kudos
Highlighted
97 Views

It was not not Python but a c++ application, anyway the context is the same.

regards

Gabriele

0 Kudos
Highlighted
Moderator
86 Views

@Zanaboni__Gabriele 

Thanks for clarifying the issue is not with Python, could you elaborate more what the issue is (log file, errors, etc.)? Do you see the same issue if the sample encode/decode programs are used?

 

Regards,

Luis

0 Kudos
Highlighted
73 Views

Hi

There aren't really 'problems'. As you said in the mail upward there is a new source code, then if I try to compile a program developed with the previous library It doesn't work, is not compatibilty the old code with the new library, thats all.

thanks

best regards

Gabriele

0 Kudos